import request from "@/utils/httpRequest";
import { ASSESS_PATH as prefix } from "../../AppPath";


export default class SignatureDailyService {
  list (param) {
    return request({
      url: prefix + '/assess/signatureReport/list',
      method: 'get',
      params: param
    })
  }

  saveForm (param) {
    return request({
      url: prefix + '/assess/signatureReport/save',
      method: 'post',
      data: param
    })
  }
  findById (id) {
    return request({
      url: prefix + '/assess/signatureReport/findById',
      method: 'get',
      params: {id: id}
    })
  }
  remove (id) {
    return request({
      url: prefix + '/assess/signatureReport/remove',
      method: 'get',
      params: {id: id}
    })
  }
  updateStatusById (param) {
    return request({
      url: prefix + '/assess/signatureReport/updateStatusById',
      method: 'post',
      data: param
    })
  }

  exportFile (params) {
    return request({
      url: prefix + '/assess/signatureReport/exportFile',
      method: 'get',
      params: params,
      responseType: 'blob'
    })
  }

	saveFlowableParam (inputForm) {
		return request({
			url: prefix + `/assess/signatureReport/saveFlowableParam`,
			method: 'post',
			data: inputForm
		})
	}

	getAuditNodeById (id) {
		return request({
			url: prefix + '/assess/signatureReport/getAuditNodeById',
			method: 'get',
			params: {id: id}
		})
	}
	getSignatureTypeById(id) {
		return request({
			url: prefix + '/assess/signatureReport/getSignatureTypeById',
			method: 'get',
			params: {id: id}
		})
	}

}
